<?php declare(strict_types=1);

namespace Newland\Toubiz\Sync\Neos\Tests\Unit\Importer\Mock;

use Newland\Toubiz\Api\Service\GeoLocation\GeoLocationServiceInterface;
use Newland\Toubiz\Sync\Neos\Service\GeoLocationFactory;

class GeoLocationFactoryMock extends GeoLocationFactory
{
    public $serviceToProvide;
    public function __construct(GeoLocationServiceInterface $serviceToProvide)
    {
        $this->serviceToProvide = $serviceToProvide;
    }

    public function get(string $configurationPath): GeoLocationServiceInterface
    {
        return $this->serviceToProvide;
    }
}
